<!---
	/* ***************************************************************
	/*
	Author: 	Carlos Villarreal Mora
	Name:		$friendpile.cfm
	Summary:	Uses FBML to render Facebook's Friendpile plugin using data from the Custom Element
	History:
		2010-06-23 - CVM - Created
--->
<cfscript>
	request.element.isStatic = 0;
	items = attributes.elementInfo.elementData.propertyValues;
	if (arrayLen(items)) {
		friendpileStruct = items[1].values;
		
		//initialize Facebook API
		application.facebook2.scripts.loadFacebookJS();
	}
</cfscript>

<cfif isDefined("friendpileStruct")><cfoutput>
	<fb:friendpile 
		<cfif len(friendpileStruct.width) and friendpileStruct.width neq 200>width="#friendpileStruct.width#" </cfif>
		<cfif len(friendpileStruct.max_rows) and friendpileStruct.max_rows gt 1>max-rows="#friendpileStruct.max_rows#" </cfif>
	/>
</cfoutput></cfif>
